Package twisted :: Package trial :: Module remote :: Class JellyReporter

[show private | hide private]
[frames | no frames]

## Class JellyReporter

    Reporter --+
               |
              JellyReporter

I report results as a Banana-encoded Jelly stream.

This reporting format is machine-readable. It might make more sense to proxy to a pb.Referenceable Reporter, but then it would need a two-way connection and a reactor running to manage the protocol. I'm not sure if we want to do that.

Decode this stream with `DecodeReport`.

Method Summary
| `__init__(self, stream)`
| `allPassed(self)` (inherited from `Reporter`)
| `cleanResults(self, testClass, method)`
| `connectionLost(self, reason)`
| `dataReceived(self, data)`
| `getRunningTime(self)` (inherited from `Reporter`)
| `jellyMethodCall(self, methodName, *args)`
| `makeConnection(self, transport)`
| `reportImportError(self, name, exc)`
| `reportResults(self, testClass, method, resultType, results)`
| `reportStart(self, testClass, method)`
| `start(self, *args)`
| `stop(self, *args)`

Class Variable Summary
`int` | `doSendTimes`
`NoneType` | `_gotNegotiation`

Class Variable Details

### doSendTimes

  Type:
    `int`
  Value:

        1

### _gotNegotiation

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:19:05 2003 | http://epydoc.sf.net